Subject: RE: [Suggestion] Add Skip for t9020

From: "Randall S. Becker" <[email-masked]>
Date: Thu, 21 Feb 2019 21:46:25 -0500

On February 21, 2019 19:47, Jonathan Nieder  wrote:
> Randall S. Becker wrote:
> 
> > While this is a bit of a hack, it might be useful for skipping t9020
> > in environments where the svn.remote package is not installed. I can
> > make this into a patch if this style is reasonable - guessing probably
> > not and that the REMOTE_SVN test should go elsewhere if it is called
that.
> >
> > diff --git a/t/t9020-remote-svn.sh b/t/t9020-remote-svn.sh index
> > 6fca08e5e3..31edf99371 100755
> > --- a/t/t9020-remote-svn.sh
> > +++ b/t/t9020-remote-svn.sh
> > @@ -12,6 +12,12 @@ then
> >         test_done
> >  fi
> >
> > +python -c "import svn.remote" 2>/dev/null >/dev/null if [ $? -eq 0 ];
> > +then
> > +       test_set_prereq REMOTE_SVN
> > +fi
> > +if ! test_have_prereq REMOTE_SVN
> > +then
> > +       skip_all='skipping remote-svn tests, python svn.remote not
> > available'
> > +       test_done
> > +fi
> 
> Interesting.  Where do we use the svn.remote package?  I did a quick grep
> and didn't find any instances.

Well, this was the remote svn test, so I figured I would be specific. We
don't have the svn package either so could restrict to that.

> Do you have output from running "./t9020-remote-svn.sh -v -i"?

Initialized empty Git repository in /home/git/git/t/trash
directory.t9020-remote-svn/.git/
expecting success:
        init_git &&
        git fetch svnsim &&
        test_cmp .git/refs/svn/svnsim/master .git/refs/remotes/svnsim/master
&&
        cp .git/refs/remotes/svnsim/master master.good

Initialized empty Git repository in /home/git/git/t/trash
directory.t9020-remote-svn/.git/
fatal: error reading from fast-import: Resource temporarily unavailable
progress Imported commit 1.
fatal: error while running fast-import
not ok 1 - simple fetch
#
#               init_git &&
#               git fetch svnsim &&
#               test_cmp .git/refs/svn/svnsim/master
.git/refs/remotes/svnsim/master  &&
#               cp .git/refs/remotes/svnsim/master master.good
#